API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/loads/{loadId}/billing/customer-payment/record
ark.record_customer_payment
Records an invoiced or factored customer payment as paid for a visible load, including paid date and optional reference number.
- Availability
- Expanded preview
- Scopes
loads:readbilling:write- ARK permissions
canViewLoadscanViewBillingcanMakeAdjustments- Team visibility
- Required and enforced
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
loadIdpathstringrequired- format: uuid
Idempotency-Keyheaderstringrequired- Required for external write operations. Reuse the same key only for exact retries of the same request body.
- min length: 1; max length: 200
Request body
customerPaymentIdstringOptional customer payment ID. Omit to use the latest payment for the load.
format: uuid
referenceNumberstring | nullOptional payment reference number.
max length: 100
paidDatestringrequiredPayment date in YYYY-MM-DD format.
Example request
Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/billing/customer-payment/record' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{
"paidDate": "<paidDate>"
}'Success response
Recorded customer payment
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.loadIdstringrequiredformat: uuid
data.customerPaymentIdstringrequiredformat: uuid
data.loadobjectrequireddata.statusstringrequiredone of: PAID
data.paidDatestringrequiredformat: date
data.referenceNumberstring | nullrequireddata.paymentAmountstring | nullrequireddata.messagestringrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry
HTTP 422- Invalid request